<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive.
 *
 * @since Iceberg 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <?php iceberg_post_thumbnail(); ?>
  
  <div class="inner">
    <header class="entry-header">
    <?php 
      if( is_sticky() && is_home() && ! is_paged() ) :
        printf( '<span class="sticky-badge"><i class="entypo-pin"></i> %s</span>', get_theme_mod( 'sticky_post_title' ) ? esc_html( get_theme_mod( 'sticky_post_title' ) ) : esc_html__( 'Featured', 'iceberg' ) );
      endif;
      
      if ( is_single() ) :
        the_title( '<h1 class="entry-title">', '</h1>' );
      else :
        the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
      endif;
      
      iceberg_entry_meta( '<div class="entry-meta">', '</div>' ); 
    ?>
    </header><!-- .entry-header -->

    <?php if( is_search() ) : ?>
      <div class="entry-summary">
      <?php the_excerpt(); ?>
      </div><!-- .entry-summary -->
    <?php else : ?>
      <div class="entry-content">
      <?php
        the_content( esc_html__( 'Continue reading &rarr;', 'iceberg' ) );
        
        wp_link_pages( array(
          'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'iceberg' ) . '</span>',
          'after'       => '</div>',
          'link_before' => '<span>',
          'link_after'  => '</span>',
          'pagelink'    => ' %',
          'separator'   => ' ',
        ) );
      ?>  
      </div><!-- .entry-content -->
    <?php endif; ?>

    <?php iceberg_entry_footer( '<footer class="entry-footer">', '</footer>' ); ?>
  </div>
</article><!-- #post-## -->
